Summary: D-Bus message bus
Name: dbus
Version: 1.8.2
Release: r0.0
License: AFL-2 | GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://dbus.freedesktop.org
BuildRequires: libtool-cross
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: shadow-native
BuildRequires: virtual/gettext
BuildRequires: expat
BuildRequires: virtual/libc
BuildRequires: shadow-sysroot
BuildRequires: base-files
BuildRequires: virtual/libintl
BuildRequires: pkgconfig-native
BuildRequires: libtool-native
BuildRequires: gettext-native
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: autoconf-native
BuildRequires: virtual/libx11
BuildRequires: shadow
BuildRequires: update-rc.d-native
BuildRequires: initscripts
BuildRequires: gnu-config-native
BuildRequires: libsm
BuildRequires: base-passwd
BuildRequires: automake-native

%description
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.

%package -n libdbus-1-3
Summary: D-Bus message bus
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.10)(64bit)
Requires: libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires: libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires: libc.so.6()(64bit)
Requires: libpthread.so.0()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.10)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libpthread.so.0()(64bit)
Suggests: dbus-1
Provides: dbus-lib
Provides: elf(buildid) = 22112e042a0dad4f941432438abd87798fd4ee3f
Provides: libdbus-1.so.3()(64bit)

%description -n libdbus-1-3
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.

%package -n dbus-dbg
Summary: D-Bus message bus - Debugging files
Group: devel
Suggests: libx11-dbg
Suggests: libexpat-dbg
Suggests: dbus-lib-dbg
Suggests: libc6-dbg
Recommends: dbus-1 = 1.8.2-r0.0

%description -n dbus-dbg
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.  This package contains ELF symbols
and related sources for debugging purposes.

%package -n dbus-staticdev
Summary: D-Bus message bus - Development files (Static Libraries)
Group: devel
Requires: dbus-dev = 1.8.2-r0.0

%description -n dbus-staticdev
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.  This package contains static
libraries for software development.

%package -n dbus-dev
Summary: D-Bus message bus - Development files
Group: devel
Requires: dbus-1 = 1.8.2-r0.0
Requires: libdbus-1-3
Suggests: base-passwd-dev
Suggests: shadow-dev
Suggests: shadow-sysroot-dev
Suggests: base-files-dev
Suggests: dbus-lib-dev
Suggests: initscripts-functions-dev
Suggests: libx11-dev
Suggests: libc6-dev
Suggests: libexpat-dev
Suggests: libsm-dev
Suggests: initscripts-dev

%description -n dbus-dev
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n dbus-doc
Summary: D-Bus message bus - Documentation files
Group: doc

%description -n dbus-doc
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.  This package contains
documentation.

%package -n dbus-locale
Summary: D-Bus message bus
Group: base

%description -n dbus-locale
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.

%package -n dbus-1
Summary: D-Bus message bus
Group: base
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libdbus-1-3 >= 1.8.2
Requires: libc.so.6(GLIBC_2.10)(64bit)
Requires: base-files
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires: /bin/sh
Requires: libX11.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.9)(64bit)
Requires: libx11-6 >= 1.6.2
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libexpat.so.1()(64bit)
Requires: libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: shadow
Requires: rtld(GNU_HASH)
Requires: initscripts-functions
Requires: libdbus-1.so.3()(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.3.2)(64bit)
Requires: libpthread.so.0()(64bit)
Requires: libexpat1 >= 2.1.0
Requires: base-passwd
Requires(pre): libc.so.6(GLIBC_2.17)(64bit)
Requires(pre): libdbus-1-3 >= 1.8.2
Requires(pre): libc.so.6(GLIBC_2.10)(64bit)
Requires(pre): base-files
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires(pre): /bin/sh
Requires(pre): libX11.so.6()(64bit)
Requires(pre): libc.so.6(GLIBC_2.9)(64bit)
Requires(pre): libx11-6 >= 1.6.2
Requires(pre): libc.so.6(GLIBC_2.3)(64bit)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(pre): libexpat.so.1()(64bit)
Requires(pre): libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires(pre): libc6 >= 2.20+sdkwrl7+27
Requires(pre): shadow
Requires(pre): rtld(GNU_HASH)
Requires(pre): initscripts-functions
Requires(pre): libdbus-1.so.3()(64bit)
Requires(pre): libc.so.6(GLIBC_2.4)(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(pre): libpthread.so.0()(64bit)
Requires(pre): libexpat1 >= 2.1.0
Requires(pre): base-passwd
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libdbus-1-3 >= 1.8.2
Requires(post): libc.so.6(GLIBC_2.10)(64bit)
Requires(post): base-files
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires(post): /bin/sh
Requires(post): libX11.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.9)(64bit)
Requires(post): libx11-6 >= 1.6.2
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(post): libexpat.so.1()(64bit)
Requires(post): libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): shadow
Requires(post): rtld(GNU_HASH)
Requires(post): initscripts-functions
Requires(post): libdbus-1.so.3()(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(post): libpthread.so.0()(64bit)
Requires(post): libexpat1 >= 2.1.0
Requires(post): base-passwd
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libdbus-1-3 >= 1.8.2
Requires(preun): libc.so.6(GLIBC_2.10)(64bit)
Requires(preun): base-files
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires(preun): /bin/sh
Requires(preun): libX11.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.9)(64bit)
Requires(preun): libx11-6 >= 1.6.2
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(preun): libexpat.so.1()(64bit)
Requires(preun): libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires(preun): libc6 >= 2.20+sdkwrl7+27
Requires(preun): shadow
Requires(preun): rtld(GNU_HASH)
Requires(preun): initscripts-functions
Requires(preun): libdbus-1.so.3()(64bit)
Requires(preun): libc.so.6(GLIBC_2.4)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(preun): libpthread.so.0()(64bit)
Requires(preun): libexpat1 >= 2.1.0
Requires(preun): base-passwd
Requires(postun): libc.so.6(GLIBC_2.17)(64bit)
Requires(postun): libdbus-1-3 >= 1.8.2
Requires(postun): libc.so.6(GLIBC_2.10)(64bit)
Requires(postun): base-files
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libpthread.so.0(GLIBC_2.3.3)(64bit)
Requires(postun): /bin/sh
Requires(postun): libX11.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.9)(64bit)
Requires(postun): libx11-6 >= 1.6.2
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(postun): libexpat.so.1()(64bit)
Requires(postun): libpthread.so.0(GLIBC_2.3.2)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): shadow
Requires(postun): rtld(GNU_HASH)
Requires(postun): initscripts-functions
Requires(postun): libdbus-1.so.3()(64bit)
Requires(postun): libc.so.6(GLIBC_2.4)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(postun): libpthread.so.0()(64bit)
Requires(postun): libexpat1 >= 2.1.0
Requires(postun): base-passwd
Suggests: update-rc.d
Provides: dbus
Provides: dbus-x11
Provides: elf(buildid) = 9b906889fe18962303f378defccf80d964b8e767
Provides: elf(buildid) = 306c15d1308b91867935cc978af9526ec931f2ba
Provides: elf(buildid) = e6982f692b00ca8d1e76e230afa43e9555d40e7c
Provides: elf(buildid) = d7108a89eb8d2a8e3d2d1b1e1966965f3ea4bc2a
Provides: elf(buildid) = d4c6c2f9c26eb841ef970715cb60779d793e9ebd
Provides: elf(buildid) = 38db188eb21d307c8552d75e38438f0a05be8b01
Provides: elf(buildid) = f6d2c99f3c12e2f55d7cdf872ace5214b247e3eb
Provides: elf(buildid) = f6e12f64b3e2fa81f4394ebf47ce2c0ac4aa7c46
Obsoletes: dbus-x11

%description -n dbus-1
D-Bus is a message bus system, a simple way for applications to talk to one
another. In addition to interprocess communication, D-Bus helps coordinate
process lifecycle; it makes it simple and reliable to code a \"single
instance\" application or daemon, and to launch applications and daemons on
demand when their services are needed.

%post -n libdbus-1-3
# libdbus-1-3 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%pre -n dbus-1
# dbus-1 - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/dbus-1" ]; then
	/etc/init.d/dbus-1 stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT dbus-1 remove
fi
bbnote () {
	echo "NOTE: $*"
}
bbwarn () {
	echo "WARNING: $*"
}
bbfatal () {
	echo "ERROR: $*"
	exit 1
}
perform_groupadd () {
	local rootdir="$1"
	local opts="$2"
	local retries="$3"
	bbnote "Performing groupadd with [$opts] and $retries times of retry"
	local groupname=`echo "$opts" | awk '{ print $NF }'`
	local group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
	if test "x$group_exists" = "x"; then
		local count=0
		while true; do
			eval $PSEUDO groupadd $opts || true
			group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
			if test "x$group_exists" = "x"; then
				bbwarn "groupadd command did not succeed. Retrying..."
			else
				break
			fi
			count=`expr $count + 1`
			if test $count = $retries; then
				bbfatal "Tried running groupadd command $retries times without scucess, giving up"
			fi
                        sleep $count
		done
	else
		bbwarn "group $groupname already exists, not re-creating it"
	fi
}
perform_useradd () {
	local rootdir="$1"
	local opts="$2"
	local retries="$3"
	bbnote "Performing useradd with [$opts] and $retries times of retry"
	local username=`echo "$opts" | awk '{ print $NF }'`
	local user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
	if test "x$user_exists" = "x"; then
	       local count=0
	       while true; do
		       eval $PSEUDO useradd $opts || true
		       user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
		       if test "x$user_exists" = "x"; then
			       bbwarn "useradd command did not succeed. Retrying..."
		       else
			       break
		       fi
		       count=`expr $count + 1`
		       if test $count = $retries; then
				bbfatal "Tried running useradd command $retries times without scucess, giving up"
		       fi
		       sleep $count
	       done
	else
		bbwarn "user $username already exists, not re-creating it"
	fi
}
perform_groupmems () {
	local rootdir="$1"
	local opts="$2"
	local retries="$3"
	bbnote "Performing groupmems with [$opts] and $retries times of retry"
	local groupname=`echo "$opts" | awk '{ for (i = 1; i < NF; i++) if ($i == "-g" || $i == "--group") print $(i+1) }'`
	local username=`echo "$opts" | awk '{ for (i = 1; i < NF; i++) if ($i == "-a" || $i == "--add") print $(i+1) }'`
	bbnote "Running groupmems command with group $groupname and user $username"
	# groupmems fails if /etc/gshadow does not exist
	local gshadow=""
	if [ -f $rootdir/etc/gshadow ]; then
		gshadow="yes"
	else
		gshadow="no"
		touch $rootdir/etc/gshadow
	fi
	local mem_exists="`grep "^$groupname:[^:]*:[^:]*:\([^,]*,\)*$username\(,[^,]*\)*" $rootdir/etc/group || true`"
	if test "x$mem_exists" = "x"; then
		local count=0
		while true; do
			eval $PSEUDO groupmems $opts || true
			mem_exists="`grep "^$groupname:[^:]*:[^:]*:\([^,]*,\)*$username\(,[^,]*\)*" $rootdir/etc/group || true`"
			if test "x$mem_exists" = "x"; then
				bbwarn "groupmems command did not succeed. Retrying..."
			else
				break
			fi
			count=`expr $count + 1`
			if test $count = $retries; then
				if test "x$gshadow" = "xno"; then
					rm -f $rootdir/etc/gshadow
					rm -f $rootdir/etc/gshadow-
				fi
				bbfatal "Tried running groupmems command $retries times without scucess, giving up"
			fi
			sleep $count
		done
	else
		bbwarn "group $groupname already contains $username, not re-adding it"
	fi
	if test "x$gshadow" = "xno"; then
		rm -f $rootdir/etc/gshadow
		rm -f $rootdir/etc/gshadow-
	fi
}
OPT=""
SYSROOT=""

if test "x$D" != "x"; then
	# Installing into a sysroot
	SYSROOT="$D"
	OPT="--root $D"
	# user/group lookups should match useradd/groupadd --root
	export PSEUDO_PASSWD="$SYSROOT:/b/dc-builder/yocto-x86/JUNOS_181_R1_BRANCH-x86-64-ovp-2018-03-08_18-05-01/build-qfx-10-ovp-secure/x86-64-ovp/bitbake_build/tmp/sysroots/x86_64-linux"
fi

# If we're not doing a special SSTATE/SYSROOT install
# then set the values, otherwise use the environment
if test "x$UA_SYSROOT" = "x"; then
	# Installing onto a target
	# Add groups and users defined only for this package
	GROUPADD_PARAM="-r netdev"
	USERADD_PARAM="--system --home /var/lib/dbus                        --no-create-home --shell /bin/false                        --user-group messagebus"
	GROUPMEMS_PARAM="${GROUPMEMS_PARAM}"
fi

# Perform group additions first, since user additions may depend
# on these groups existing
if test "x$GROUPADD_PARAM" != "x"; then
	echo "Running groupadd commands..."
	# Invoke multiple instances of groupadd for parameter lists
	# separated by ';'
	opts=`echo "$GROUPADD_PARAM" | cut -d ';' -f 1`
	remaining=`echo "$GROUPADD_PARAM" | cut -d ';' -f 2-`
	while test "x$opts" != "x"; do
		perform_groupadd "$SYSROOT" "$OPT $opts" 10
		if test "x$opts" = "x$remaining"; then
			break
		fi
		opts=`echo "$remaining" | cut -d ';' -f 1`
		remaining=`echo "$remaining" | cut -d ';' -f 2-`
	done
fi

if test "x$USERADD_PARAM" != "x"; then
	echo "Running useradd commands..."
	# Invoke multiple instances of useradd for parameter lists
	# separated by ';'
	opts=`echo "$USERADD_PARAM" | cut -d ';' -f 1`
	remaining=`echo "$USERADD_PARAM" | cut -d ';' -f 2-`
	while test "x$opts" != "x"; do
		perform_useradd "$SYSROOT" "$OPT $opts" 10
		if test "x$opts" = "x$remaining"; then
			break
		fi
		opts=`echo "$remaining" | cut -d ';' -f 1`
		remaining=`echo "$remaining" | cut -d ';' -f 2-`
	done
fi

if test "x$GROUPMEMS_PARAM" != "x"; then
	echo "Running groupmems commands..."
	# Invoke multiple instances of groupmems for parameter lists
	# separated by ';'
	opts=`echo "$GROUPMEMS_PARAM" | cut -d ';' -f 1`
	remaining=`echo "$GROUPMEMS_PARAM" | cut -d ';' -f 2-`
	while test "x$opts" != "x"; do
		perform_groupmems "$SYSROOT" "$OPT $opts" 10
		if test "x$opts" = "x$remaining"; then
			break
		fi
		opts=`echo "$remaining" | cut -d ';' -f 1`
		remaining=`echo "$remaining" | cut -d ';' -f 2-`
	done
fi


%post -n dbus-1
# dbus-1 - postinst
	# If both systemd and sysvinit are enabled, mask the dbus-1 init script
        if false; then
		if [ -n "$D" ]; then
			OPTS="--root=$D"
		fi
		systemctl $OPTS mask dbus-1.service
	fi

	if [ -z "$D" ] && [ -e /etc/init.d/populate-volatile.sh ] ; then
		/etc/init.d/populate-volatile.sh update
	fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT dbus-1 start 02 5 3 2 . stop 20 0 1 6 .
fi


%preun -n dbus-1
# dbus-1 - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/dbus-1 stop
fi
fi

%postun -n dbus-1
# dbus-1 - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT dbus-1 remove
fi
fi

%files -n libdbus-1-3
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libdbus-1.so.3"
"/lib64/libdbus-1.so.3.8.4"

%files -n dbus-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/dbus"
%dir "/usr/src/debug/dbus/1.8.2-r0"
%dir "/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2"
%dir "/usr/src/debug/dbus/1.8.2-r0/build"
%dir "/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools"
%dir "/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus"
%dir "/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-uuidgen.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-print-message.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-monitor.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-print-message.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-launch-x11.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-launch.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-send.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-run-session.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-cleanup-sockets.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/tools/dbus-launch.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-transport-socket.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-dataslot.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-file-unix.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-address.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-recursive.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-byteswap.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-server-protected.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-nonce.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-syntax.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-object-tree.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-message-private.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-threads.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-asv-util.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-pipe.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-pipe-unix.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps-util.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-auth.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-header.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-keyring.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-socket-set-poll.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-server-socket.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-transport-protected.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-types.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-timeout.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-mempool.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-socket-set.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-shared.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-message.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-byteswap.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-list.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-uuidgen.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-message-internal.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-string-util.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-watch.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-hash.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-socket-set-epoll.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-server-socket.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-asv-util.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-memory.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-spawn.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-server.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-transport-socket.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-threads.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sha.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-address.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-server.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps-pthread.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-userdb.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-header.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-transport-unix.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-userdb-util.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sha.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-connection.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-object-tree.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-list.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-userdb.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-basic.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-validate.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps-util-unix.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-mempool.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-connection-internal.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-basic.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-pipe.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/sd-daemon.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-string.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-valgrind-internal.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-errors.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-timeout.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-syntax.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-string-private.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-auth.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-credentials.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-pending-call-internal.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-shell.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-misc.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-pending-call.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-mainloop.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-server-unix.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-errors.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-socket-set.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-nonce.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-mainloop.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/sd-daemon.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-signature.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-threads-internal.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-string.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-uuidgen.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-signature.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-keyring.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-memory.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-credentials.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-message.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-pending-call.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps-unix.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-validate.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-spawn.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-transport.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-marshal-recursive.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-watch.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-file.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-transport.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-internals.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-hash.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-internals.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-resources.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-resources.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-dataslot.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-misc.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-connection.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-bus.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-sysdeps-unix.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-shell.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/dbus/dbus-bus.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/utils.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-parser.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/dir-watch-inotify.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/expirelist.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/bus.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/activation-helper-bin.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/expirelist.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/main.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/driver.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/activation.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/bus.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/signals.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-parser-common.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/selinux.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-parser-common.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-parser-trivial.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/policy.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/desktop-file.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-parser-trivial.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/activation-helper.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/dispatch.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/driver.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/dispatch.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/connection.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/policy.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-parser.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/utils.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/services.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/services.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/selinux.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/activation.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/config-loader-expat.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/desktop-file.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/dir-watch.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/activation-helper.c"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/connection.h"
"/usr/src/debug/dbus/1.8.2-r0/dbus-1.8.2/bus/signals.h"
%dir "/usr/src/debug/dbus/1.8.2-r0/build/dbus"
"/usr/src/debug/dbus/1.8.2-r0/build/dbus/dbus-arch-deps.h"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/dbus-cleanup-sockets"
"/usr/bin/.debug/dbus-send"
"/usr/bin/.debug/dbus-uuidgen"
"/usr/bin/.debug/dbus-monitor"
"/usr/bin/.debug/dbus-run-session"
"/usr/bin/.debug/dbus-launch"
"/usr/bin/.debug/dbus-daemon"
%dir "/usr/lib64/dbus"
%dir "/usr/lib64/dbus/.debug"
"/usr/lib64/dbus/.debug/dbus-daemon-launch-helper"
%dir "/lib64/.debug"
"/lib64/.debug/libdbus-1.so.3.8.4"

%files -n dbus-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libdbus-1.a"

%files -n dbus-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/dbus-1.0"
%dir "/usr/include/dbus-1.0/dbus"
"/usr/include/dbus-1.0/dbus/dbus-address.h"
"/usr/include/dbus-1.0/dbus/dbus-protocol.h"
"/usr/include/dbus-1.0/dbus/dbus-syntax.h"
"/usr/include/dbus-1.0/dbus/dbus-types.h"
"/usr/include/dbus-1.0/dbus/dbus-shared.h"
"/usr/include/dbus-1.0/dbus/dbus-message.h"
"/usr/include/dbus-1.0/dbus/dbus-threads.h"
"/usr/include/dbus-1.0/dbus/dbus-server.h"
"/usr/include/dbus-1.0/dbus/dbus-connection.h"
"/usr/include/dbus-1.0/dbus/dbus-errors.h"
"/usr/include/dbus-1.0/dbus/dbus-misc.h"
"/usr/include/dbus-1.0/dbus/dbus-pending-call.h"
"/usr/include/dbus-1.0/dbus/dbus.h"
"/usr/include/dbus-1.0/dbus/dbus-signature.h"
"/usr/include/dbus-1.0/dbus/dbus-memory.h"
"/usr/include/dbus-1.0/dbus/dbus-macros.h"
"/usr/include/dbus-1.0/dbus/dbus-bus.h"
%dir "/usr/lib64/dbus-1.0"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libdbus-1.la"
"/usr/lib64/libdbus-1.so"
%dir "/usr/lib64/dbus-1.0/include"
%dir "/usr/lib64/dbus-1.0/include/dbus"
"/usr/lib64/dbus-1.0/include/dbus/dbus-arch-deps.h"
"/usr/lib64/pkgconfig/dbus-1.pc"

%files -n dbus-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/doc/dbus"
"/usr/share/doc/dbus/system-activation.txt"
"/usr/share/doc/dbus/diagram.svg"
"/usr/share/doc/dbus/diagram.png"

%files -n dbus-1
%defattr(-,-,-,-)
%dir "/var"
%dir "/usr"
%dir "/etc"
%dir "/var/lib"
%dir "/var/lib/dbus"
%dir "/usr/bin"
%dir "/usr/share"
%dir "/usr/lib64"
"/usr/bin/dbus-cleanup-sockets"
"/usr/bin/dbus-send"
"/usr/bin/dbus-uuidgen"
"/usr/bin/dbus-monitor"
"/usr/bin/dbus-run-session"
"/usr/bin/dbus-launch"
"/usr/bin/dbus-daemon"
%dir "/usr/share/dbus-1"
%dir "/usr/share/dbus-1/services"
%dir "/usr/share/dbus-1/system-services"
%dir "/usr/lib64/dbus"
"/usr/lib64/dbus/dbus-daemon-launch-helper"
%dir "/etc/dbus-1"
%dir "/etc/init.d"
%dir "/etc/default"
%dir "/etc/dbus-1/session.d"
%dir "/etc/dbus-1/system.d"
%config "/etc/dbus-1/session.conf"
%config "/etc/dbus-1/system.conf"
"/etc/init.d/dbus-1"
%dir "/etc/default/volatiles"
"/etc/default/volatiles/99_dbus"

